%define debug 0
%define final 0

%define kbattleship 0
%define ktron 0
%define arts 1

%define ksok 0

%if %{ksok}
%define patch_name %{nil}
%else
%define patch_name -patched
%endif

%define qt_version 3.3.3

Version: 3.3.1
Release: 2
Epoch: 6
Summary: K Desktop Environment - Games
Name: kdegames
Prefix: /usr
License: GPL
Group: Amusements/Games
BuildRoot: %{_tmppath}/%{name}-buildroot
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}%{patch_name}.tar.bz2
Source1: cr16-app-kfouleggs.png
Source2: cr22-app-kfouleggs.png
Source3: cr32-app-kfouleggs.png
Source4: cr48-app-kfouleggs.png
Source5: cr64-app-kfouleggs.png
Source6: cr128-app-kfouleggs.png

Patch: kde-libtool.patch
Patch1: kdegames-3.1.1-konquest.patch

Requires: kdelibs >= 6:%{version}
Requires: kdebase >= 6:%{version}

Prereq: /sbin/ldconfig

BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: zlib-devel
BuildRequires: kdebase-devel
BuildRequires: autoconf
BuildRequires: automake >= 1.6
BuildRequires: libtool
BuildRequires: glibc-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libstdc++-devel
BuildRequires: qt-devel >= 1:%{qt_version}
BuildRequires: perl

%description
Games and gaming libraries for the K Desktop Environment.
Included with this package are: kenolaba, kasteroids, kblackbox, kmahjongg,
kmines, konquest, kpat, kpoker, kreversi, ksame, kshisen, ksokoban, ksmiletris,
ksnake, ksirtet, katomic, kjumpingcube, ktuberling.

%package devel
Summary: Development files for kdegames
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdebase-devel >= 6:%{version}

%description devel
Development files for the KDE gaming libraries.
Install kdegames-devel if you wish to develop or compile games for the
KDE desktop.

%prep
%setup -q -n %{name}-%{version}%{patch_name}
%patch -p1 -b .libtool
%patch1 -p1 -b .konquest

cp -f %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} kfouleggs

#make -f admin/Makefile.common cvs

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%if %{kbattleship}
   DO_NOT_COMPILE="kbattleship"
   rm -rf doc/kbattleship kbattleship
%endif

%if %{ktron}
   DO_NOT_COMPILE="$DO_NOT_COMPILE ktron"
   rm -rf doc/ktron ktron
%endif

export DO_NOT_COMPILE
export KDEDIR=%{prefix}

FLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG"

CFLAGS="$FLAGS" \
CXXFLAGS="$FLAGS -fno-check-new" \
%configure \
   --disable-rpath \
%if %{arts} == 0
   --without-arts \
%endif
%if %{final}
   --enable-final \
%endif
   --includedir=%{prefix}/include/kde \
   --with-qt-libraries=$QTDIR/lib

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

make -C klickety install DESTDIR=$RPM_BUILD_ROOT
  
# Make symlinks relative
pushd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $RPM_BUILD_ROOT/usr/share/doc/HTML/en/$i/common
      ln -sf ../common $RPM_BUILD_ROOT/usr/share/doc/HTML/en/$i
   fi
done
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/*.so*
%{_libdir}/*.la
%{_libdir}/kde3/*
%{_datadir}/applications/kde/*
%{_datadir}/apps/*
%{_datadir}/config.kcfg/*
%{_datadir}/config/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*

%changelog
* Mon Oct 18 2004 Than Ngo <than@redhat.com> 6:3.3.1-2
- add missing klickety icons #135614

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 6:3.3.1-1 
- update to 3.3.1

* Fri Oct 08 2004 Than Ngo <than@redhat.com> 6:3.3.0-2
- fix buildrequire on automake
- disable ksokoban

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0 release

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc1
- update to 3.3.0 rc1

* Wed Aug 04 2004 Than Ngo <than@redhat.com> 3.2.92-1
- update to 3.3 Beta 2

* Sat Jun 19 2004 Than Ngo <than@redhat.com> 3.2.3-2
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 02 2004 Than Ngo <than@redhat.com> 6:3.2.3-0.1
- update to 3.2.3

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 6:3.2.2-1
- update to 3.2.2

* Thu Apr 08 2004 Than Ngo <than@redhat.com> 6:3.2.1-4
- fix dependency bug again, bug #120399

* Wed Apr 07 2004 Than Ngo <than@redhat.com> 3.2.1-3
- add missing icons, bug #118281

* Mon Mar 22 2004 Than Ngo <than@redhat.com> 6:3.2.1-2
- fixed klickety crash, bug #118280

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 6:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 6:3.2.0-1.4
- gcc 3.4 build problem

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 6:3.2.0-0.3
- 3.2.0 release
- built against qt 3.3.0
- add Prereq /sbin/ldconfig

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.1
- KDE 3.2 Beta2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.2
- get rid of rpath

* Tue Nov 11 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.1
- KDE 3.2 Beta1
- cleanup specfile
- remove some patch files, which are included in new upstream

* Mon Oct 13 2003 Than Ngo <than@redhat.com> 6:3.1.4-2
- backport from CVS to fix atlantikdesigner crashed on startup
- fix miscompiled code, (bug #106198, #106888)

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 6:3.1.4-1
- 3.1.4

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 6:3.1.3-3
- fix build problem with gcc 3.3

* Wed Aug 06 2003 Than Ngo <than@redhat.com> 6:3.1.3-2
- rebuilt

* Sun Aug 03 2003 Than Ngo <than@redhat.com> 6:3.1.3-1
- 3.1.3

* Mon Jul  7 2003 Than Ngo <than@redhat.com> 3.1.2-5
- fix a bug in katomic, which caused icons are invisible (bug #89628)

* Thu Jun 26 2003 Than Ngo <than@redhat.com> 3.1.2-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-0.9x.2
- 3.1.2

* Thu May  8 2003 Than Ngo <than@redhat.com> 3.1.1-3
- fix command line option (bug #90082)

* Wed Apr 30 2003 Elliot Lee <sopwith@redhat.com> 3.1.1-2
- headusage patch (from kdebindings) for ppc64

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Thu Feb 27 2003 Than Ngo <than@redhat.com> 3.1-5
- add requires kdebase (#84679)

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-3
- get rid of gcc path from dependency_libs

* Thu Feb 13 2003 Than Ngo <than@redhat.com> 3.1-2
- rebuild against new arts

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 final

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 3.1-0.6
- add missing plugins
- cleanup specfile

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 6:3.1-0.5
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.3
- fixed missing file

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.3
- rc6
- removed size_t check
- excluded ia64

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.2
- desktop file issues

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Fri Sep 13 2002 Than Ngo <than@redhat.com> 3.0.3-3.1
- Fixed to build on x86_64

* Thu Aug 29 2002 Preston Brown <pbrown@redhat.com>
- remove kbattleship and ktron (#72763)

* Fri Aug 23 2002 Than Ngo <than@redhat.com> 3.0.3-2
- desktop files issues (bug #72408)

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- desktop files issues

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-2
- build using gcc-3.2-0.1

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Change sonames

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-1
- final

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Fix packaging glitch in monolithic version

* Tue Mar  5 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020305.1
- Make splits a buildtime option (off by default) on request

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020107.1
- Update to work with latest kdelibs changes

* Wed Dec 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011226.1
- Update
- Add missing %{_bindir}/kbattleship

* Sat Dec 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011215.1
- Update
- Split into several packages (one package per game)

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- Work around ia64 breakages
- Add build requirements (#48977)

* Thu Feb 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix problem when changing the card type (Bug #28824)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Feb 11 2001 Than Ngo <than@redhat.com>
- don't use make -j CPU, it's broken

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Run ldconfig in %%post and %%postun to make libkdegames happy
- Replace absolute symlinks with relative symlinks (#24787)

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- includedir=/usr/include/kde,
  now that libkdegames installs kcarddeck.h

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of the gcc bug workaround, it's no longer needed

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't exclude ia64

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to HEAD

* Sat Oct 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH, now that the ".0 release" bugs are fixed.

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Mon Oct  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- work around g++ bugs (in kjumpingcube)

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- fix docdir
- rebuild 16 July snapshot

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Fri Oct 22 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshot

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com> 
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release
- ripped out asteroids and sirtet

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Feb 05 1999 Preston Brown <pbrown@redhat.com>
- rebuilt for new libstdc++ etc.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged updates from Duncan Haldane, change /opt/kde --> /usr

